play.libs

## Class F.BlockingEventStream<T>

- java.lang.Object
- - play.libs.F.BlockingEventStream<T>

Enclosing class:
  F

    public static class F.BlockingEventStream<T>
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BlockingEventStream(org.jboss.netty.channel.ChannelHandlerContext ctx)`
`BlockingEventStream(int maxBufferSize, org.jboss.netty.channel.ChannelHandlerContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`F.Promise<T>` `nextEvent()`
`void` `publish(T event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlockingEventStream

    public BlockingEventStream(org.jboss.netty.channel.ChannelHandlerContext ctx)

#### BlockingEventStream

    public BlockingEventStream(int maxBufferSize,
                               org.jboss.netty.channel.ChannelHandlerContext ctx)

### Method Detail

#### nextEvent

    public F.Promise<T> nextEvent()

#### publish

    public void publish(T event)